Main Menu

KB#00118-Not VCPI or DPMI compatible


Not VCPI or DPMI compatible


This is currently reported only on the SU386 BBx. It is caused by very old memory managers that are not supporting the current VCPI or DPMI standard.


Upgrade the QEMM version or use EMM386 memory manager. QEMM 6.02 was known to be bad. QEMM 7.04 known to be good. This problem was "worked around" for PROGRESSION/4 rev 2.01 but occasionally crops up in more current revisions (such as rev 2.2) because it is really caused by non-standard memory managers and not BBx. Sometimes it is a configuration problem with QEMM so the user may want to consult the QEMM manual for configuration information and explanations regarding VCPI and DPMI for their version of QEMM. 

UPDATE: Found to happen with QEMM 7.5 when expanded memory is disabled (EMM:N). Turning on expanded memory, even without spedifying a page frame, will correct the problem.

Last Modified: 12/29/1997 Product: BBxPROGRESSION/4 Operating System: MS Dos

BASIS structures five components of their technology into the BBx Generations.

  Google+ View BASIS LinkedIN Profile Visit our Twitter Feed Check out our Facebook Public Profile Click to View the BASIS youTube channel